| openPilotLog

Public Member Functions | List of all members
ATailEntry Struct Reference
Inheritance diagram for ATailEntry:

## Public Member Functions
| ATailEntry (const ATailEntry &te)=default
ATailEntry & | operator= (const ATailEntry &te)=default
| ATailEntry (RowId_T row_id)
| ATailEntry (RowData_T table_data)
const QString | registration ()
const QString | type ()
Public Member Functions inherited from AEntry
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (RowData_T table_data)
| AEntry (DataPosition position_, RowData_T table_data)
void | setData (RowData_T table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition () const
const RowData_T & | getData () const
| operator QString () const
| operator QString provides compatibilty with QDebug() - prints the tableData in a readable formatting to stdout

## Additional Inherited Members
Public Attributes inherited from AEntry
RowData_T | tableData
Protected Attributes inherited from AEntry
DataPosition | position

The documentation for this struct was generated from the following files:

- src/classes/atailentry.h
- src/classes/atailentry.cpp